package ru.yandex.webmaster3.storage.util.clickhouse2.query;

/**
 * @author tsyplyaev
 */
public class As {
    private final Object exp;
    private final String name;

    public As(Object exp, String name) {
        this.exp = exp;
        this.name = name;
    }

    public Object getExp() {
        return exp;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return exp.toString() + " AS " + name;
    }
}
